#pragma once
#include "tranlistbox.h"


// CDlgServerSelect dialog

class CDlgServerSelect : public CDialog
{
	DECLARE_DYNAMIC(CDlgServerSelect)

public:

	CBitmap			m_btmBack;

	void RenderBack( CDC &rDC, CBitmap &rBitmap, int Px, int Py , int SizeX = -1, int SizeY = -1 );

	CDlgServerSelect(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgServerSelect();

// Dialog Data
	enum { IDD = IDD_SEVERSELECT_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnPaint();
	CTranListBox m_ServerList;
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnLbnSelchangeListServer();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
protected:
	virtual void OnOK();
	virtual void OnCancel();
public:
	afx_msg void OnLbnDblclkListServer();
};
